<script lang="ts">
  import { noHistory } from '@web-common/helpers/LinkHelper.js';
  import { onMount } from 'svelte';
  import Scroller from './Scroller.svelte';
  import Cake from './slides/Cake.svelte';
  import Candy from './slides/Candy.svelte';
  import Choco from './slides/Choco.svelte';
  import Donut from './slides/Donut.svelte';
  import Snow from './slides/Snow.svelte';
  import World from './slides/World.svelte';
</script>

<svelte:head>
  <title>The World</title>
  <meta
    name="description"
    content="About this app" />
</svelte:head>

<section>
  <Scroller>
    <div slot="slides">
      <World />
      <Cake />
      <Candy />
      <Choco />
      <Donut />
      <Snow />
    </div>
    <ul
      class="scroll-control"
      slot="control">
      <li><a href="#start">World</a></li>
      <li><a href="#cake">Cake</a></li>
      <li><a href="#candy">Candy</a></li>
      <li><a href="#choco">Choco</a></li>
      <li><a href="#donut">Donut</a></li>
      <li><a href="#snow">Snow</a></li>
    </ul>
  </Scroller>
</section>

<style lang="postcss">
  section {
    /* width: 100vw; */

    /* height: 100vh; */
  }

  @media (width >= 768px) {
    section {
      margin-top: calc(var(--header-height) * -1);

      /* margin-bottom: calc(var(--header-height) * -0.5); */
    }
  }
</style>
